# guacamole

This is my first attempt at writing a Chef cookbook. As I was playing around with AWS, I was looking for a remote desktop client that I could use to connect to my EC2 instances through a web browser as certain locations that I work at do not allow access through any other ports apart from 80 and 443. That was when I came across the <a href="https://guacamole.incubator.apache.org/">Apache Guacamole</a> project.

It seemed like a very nice project that was exactly what I needed but the documentation was only partially complete as it did not include documentation for the Java servlet containers. As such, I wrote this cookbook to deploy both the Guacamole Java servlet as well as the container, Tomcat in this case.

This cookbook will install all pre-requisites for Guacamole, download its source tarball and compile them. It will also modify the hosts file on the server, so please be aware of this!

This cook book is an initial version and is still a little messy, but it works! Don't deploy this into any production systems without first testing and understanding the steps involved!

<H2>Limitations</H2>
This cookbook will only work on Ubuntu. I have only tested it on Ubuntu 14.04 using an AWS EC2 Ubuntu AMI using Chef 12. I have also only tested this with the latest version of Guacamole, 0.9.9 at this point in time. It will also only use the file based authentication method.

<H2>Other requirements</H2>
There are two attributes for the user login in attributes/default.rb. By default, admin for both and you may want to change this before deploying the cookbook.

You may also want to modify the template user-mapping.xml template to include the servers you want to RDP or ssh into.